Skip to main content
Resource Center/Network Resource/Policy Routing Operations
GETPolicy Routing OperationsSince 3.6.0SynchronousAuth Required

QueryPolicyRouteRuleSet

QueryPolicyRouteRuleSet

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • rulesListRequired

      See rules.

      • uuidStringRequired

        The resource UUID.

      • ruleNumberintRequired

        The priority.

      • ruleSetUuidStringRequired

        The UUID of the policy route rule set.

      • tableUuidStringRequired

        The policy route table UUID.

      • destIpStringRequired

        The destination IP address.

      • sourceIpStringRequired

        The source IP address.

      • destPortStringRequired

        The destination port.

      • sourcePortStringRequired

        The source port.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

      • protocolPolicyRouteRuleProtocolRequired

        See protocol.

        • tcpPolicyRouteRuleProtocolRequired

          No description provided.

        • udpPolicyRouteRuleProtocolRequired

          No description provided.

      • statePolicyRouteRuleStateRequired

        See state.

        • enablePolicyRouteRuleStateRequired

          启用。

        • disablePolicyRouteRuleStateRequired

          禁用。

Endpoint

GET/zstack/v1/policy-routes/rulesets

/zstack/v1/policy-routes/rulesets

Operation ID

QueryPolicyRouteRuleSet

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/policy-routes/rulesets' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "name": "name", "description": "example-des", "rules": [ { "uuid": "2e05ab3c36323487baea2414005817ee", "ruleNumber": 1.0, "ruleSetUuid": "4c86543d473f3127885b3ffc8be5ec88", "tableUuid": "d2ad1f7ad9aa354e8da24829bbd31a05", "destIp": "192.168.1.1", "sourceIp": "10.0.0.1", "destPort": "22", "sourcePort": "80", "protocol": "tcp", "state": "enable" } ] } ] }

Change History

This API has no change history records yet.

View all change history